### File

`packages/eui-dynamic-forms-ui/src/lib/components/control-field/any-type-input/any-type-input.component.ts`

### Extends

`BaseControlComponent`

### Implements

`OnInit` `AfterContentInit` `OnDestroy`

### Metadata

selector | `ux-dyn-any-type-input`
templateUrl | `./any-type-input.component.html`

### Index

###### Properties
formControl hidden inputs options selectedType typeOptions value controlName dynFormControl Optional formMultiStore formService Optional formState Optional childrenConfig context Optional dynFormApi Optional fieldId Optional frameId Optional genericService Optional globalStore isEditMode Optional parent Optional parentData Optional setId
###### Methods
mapValue onTypeSelected setType getDynFormApi getFieldData saveFieldData

### Constructor

`constructor(config)`
Parameters :
Name | Optional
config | No

### Methods

mapValue
`mapValue(val: any)`
Parameters :
Name | Type | Optional
val | `any` | No
Returns : `any`

onTypeSelected
`onTypeSelected(id: "string" | "number" | "json" | string)`
Parameters :
Name | Type | Optional
id | `"string" | "number" | "json" | string` | No
Returns : `void`

setType
`setType(val)`
Parameters :
Name | Optional
val | No
Returns : `void`

getDynFormApi
`getDynFormApi()`
Returns : `any`

getFieldData
`getFieldData(key: string)`
Parameters :
Name | Type | Optional
key | `string` | No
Returns : `Observable<any>`

saveFieldData
`saveFieldData(key: string, val: any)`
Parameters :
Name | Type | Optional
key | `string` | No
val | `any` | No
Returns : `void`

### Properties

formControl
Default value : `new FormControl()`

hidden
Type : `boolean`

inputs
Type : `AnyTypeInputComponentInputs`

options
Type : `literal type`

selectedType
Type : `"string" | "number" | "json"`
Default value : `'string'`

typeOptions
Type : `Array<UxLink>`
Default value : `[ new UxLink({ id: 'string', label: 'String' }), new UxLink({ id: 'number', label: 'Number' }), new UxLink({ id: 'json', label: 'JSON' }), ]`

value
Type : `any`

controlName
Type : `string`

dynFormControl
Type : `FormControl`

Optional formMultiStore
Type : `IsolatedMultiReduxHelper`

formService
Type : `FormService`

Optional formState
Type : `Observable<FormState>`

Optional childrenConfig
Type : `UxDynFormModelArray`

context
Type : `FieldContext`

Optional dynFormApi
Type : `DynFormApi`

Optional fieldId
Type : `string`

Optional frameId
Type : `string`

Optional genericService
Type : `DynGenericService`

Optional globalStore
Type : `Store<any>`

isEditMode
Type : `boolean`

Optional parent
Type : `FormGroup | FormArray`

Optional parentData
Type : `UxDynFormArrayParentData`

Optional setId
Type : `string`

# results matching ""

# No results matching ""